%global gem_name semantic_puppet

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Useful tools for working with Semantic Versions
License: Apache License, Version 2.0
URL: https://github.com/puppetlabs/semantic_puppet
Source0: %{gem_name}-%{version}.gem
BuildArch: noarch
Requires: ruby >= 1.9.3
Requires: rubygems >= 2.7.6
Requires: rubygem-rake 
Requires: rubygem-rspec 
Requires: rubygem-simplecov 
Requires: rubygem-cane 
Requires: rubygem-yard 
Requires: rubygem-redcarpet 
BuildRequires: ruby >= 1.9.3
BuildRequires: rubygems-devel >= 2.7.6
BuildRequires: rubygems >= 2.7.6

%description
Tools used by Puppet to parse, validate, and compare Semantic Versions and
Version Ranges and to query and resolve module dependencies.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
sed -i -r 's/.*\.add(_runtime)?_dependency.*facter.*//g' %{buildroot}%{gem_instdir}/%{gem_name}.gemspec

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%{gem_instdir}/.gitignore
%{gem_instdir}/.rubocop.yml
%{gem_instdir}/.travis.yml
%{gem_instdir}/.yardopts

%{gem_instdir}/appveyor.yml
%{gem_instdir}/spec


%files doc
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/CHANGELOG.md
%doc %{gem_docdir}


%changelog
* Wed Dec 18 2019 Breno Brand Fernandes <brandfbb@gmail.com> - 3.3.2-14
- First build

